<?
echo " <!-- 4daysweek.php -->";
echo " <!--  $sezione $isubsezione |$step| $id -->\n";

if(!isset($isubsezione)) $isubsezione = 0;
if(!isset($id)) {
    $id = 0;
    $isubsezione = 0;
}

if($isubsezione==0)
{

    $sql = "SELECT * FROM surveys WHERE id_categoria=1";
    $aSurveys = $mydb->DoSelect($sql);
?>

<div class="wrapperContainer">
<div class="boxContainer">
    <? foreach($aSurveys as $survey) { ?>
        <div class='item' id="item<?=$survey['id']?>" data-link="?sz=surveys,1&id=<?=$survey['id']?>" ><?=mydecodeTxt($survey['descrizione'])?></div>
    <? } ?>
</div>
</div>

<script>
    // Seleziona tutti gli elementi con la classe 'item'
    document.querySelectorAll('.item').forEach(item => {
        item.addEventListener('click', function() {
            // Ottieni il valore dell'attributo data-link
            const link = this.getAttribute('data-link');
            if (link) {
                // Reindirizza alla pagina specificata
                window.location.href = link;
            }
        });
    });
</script>

<? } elseif($isubsezione==1) {

    $sql = "SELECT * FROM surveys WHERE id='$id'";
    $survey = $mydb->DoSelect($sql);
    $survey = $survey[0];
    if($survey['id']>0) {
        $descrizione = mydecodeTxt($survey['descrizione']);
        ##$action = "?sz=surveys,1&id=$id";
    }
    else {
        echo "<h1>Survey non trovata</h1>";
        exit;
    }

    // Caricamento file JSON
    $survey = json_decode(file_get_contents('userdata/survey_template_' . $id . '.json'), true);
    $sezioni = $survey['sezioni'] ?? [];

    $nstep = count($sezioni);

    if(!isset($step)) $step = 0;

if($logged==1) {

    
    echo "<h1>Benvenuto $username</h1>";

    $sql = "SELECT * FROM t_utenti_temp WHERE id_rel=$_idutente";
    $mydb->DoSelect($sql);
    if(!($r = $mydb->GetRow())){
        $sql = "INSERT INTO t_utenti_temp (username, email, data_ins, id_rel) VALUES ('$MSID', '', NOW(), $id_utente)";
        $mydb->ExecSql($sql);
        $id_utente = $mydb->LastInsertedId;
    } else {
        $id_utente = $r['id_rel'];
    }
    
}
else 
{
      //controllo se l'utente è già registrato      
    $sql = "SELECT * FROM t_utenti_temp WHERE username='$MSID'";
    $mydb->DoSelect($sql);
    if(($r = $mydb->GetRow())){
        $id_utente = $r['id_utenti'];
    }
    else {
    //creo un utente anonimo
    $sql = "INSERT INTO t_utenti_temp (username, email, data_ins) VALUES ('$MSID', '',  NOW() )";
    $mydb->ExecSql($sql);
    $id_utente = $mydb->LastInsertedId;
    }
}

$stepto = $step + 1;

$resetSurvey = 0;
if(isset($_POST['resetSurvey'])) {
    $resetSurvey = $_POST['resetSurvey'];
    $_POST['resetSurvey'] = null; // Pulisci il valore per evitare conflitti futuri
    unset($_POST['resetSurvey']);
    $_SESSION['survey'][$id_utente] = []; // Resetta i dati del sondaggio
}

// Inizializza i dati se non esistono
if (!isset($_SESSION['survey'][$id_utente])) {
    $_SESSION['survey'][$id_utente] = [];
}

// Salva i dati inviati
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    foreach ($_POST as $key => $value) {
        if(strstr($key, "srv_")) {
            $key = str_replace("srv_", "", $key); // Rimuovi il prefisso "srv_"
            if (is_array($value)) {
                // Gestisci il caso in cui $value è un array
                $_SESSION['survey'][$id_utente][$key] = array_map('strval', $value);
            } elseif (!is_null($value)) {
                // Gestisci il caso in cui $value è una stringa non nulla
                $_SESSION['survey'][$id_utente][$key] = $value;
            }
        }
    }
    }
/*
echo "<pre>";
var_dump($_SESSION['survey'][$id_utente]);
echo "</pre>";
*/
// Funzione helper per precompilare
function old($field) {
    global $id_utente;
    return $_SESSION['survey'][$id_utente][$field] ?? '';
}

#if(!isset($nstep)) $nstep = 1;

if($step>0){
?>
<div class="rbutton2" onclick="back()"><div>Indietro</div></div>
<div class="spessore"></div>
<?}?>
<div class="spessore"></div>
<h1><?=$descrizione?></h1>
<div class="spessore"></div>
<div class="spessore"></div>

<form name="frm1" method="post" action="<? echo $action ?>" >
<?
#echo $step . " / $nstep<br>";
if($step==0) {
    //registrazione utente
    include "./main/contents/surveyreg.inc.php";
 }
elseif($step<=$nstep)
{
    if($step==1) {

        $nome = myencodeTxt($_SESSION['survey'][$id_utente]['nome']);
        $cognome = myencodeTxt($_SESSION['survey'][$id_utente]['cognome']);
        $email = myencodeTxt($_SESSION['survey'][$id_utente]['email']);

        echo $sql = "UPDATE t_utenti_temp SET nome='$nome', cognome='$cognome',email='$email' WHERE id_utenti=$id_utente";
        $mydb->ExecSql($sql);

    }
    
    include "./main/contents/survey.inc.php";
} else {
    //fine survey
    include "./main/contents/surveyend.inc.php";
}
?>
        <input type="hidden" name="MSID" value="<?=$MSID?>" />
        <input type="hidden" name="sz" value="<?=$sezione?>" />
        <input type="hidden" name="azione" value="" />
        <input type="hidden" name="id" value="<?=$id?>" />
        <input type="hidden" name="id_utente" value="<?=$id_utente?>" />
        <input type="hidden" name="step" value="<?=$stepto?>" />
        <input type="hidden" name="tab" value="<?=$tab?>" />
        <input type="hidden" name="tab2" value="<?=$tab2?>" />   

</form>

<script>

function back()
{
    var step = document.frm1.step.value;
    step = step-2;
    if(step<1) step=1;
    document.frm1.step.value = step;
    waitpage();
    document.frm1.azione.value = "";
    document.frm1.submit();
}
</script>
<?
} 
?>

